diff --git a/configure.ac b/configure.ac
--- a/configure.ac
+++ b/configure.ac
@@ -1458,23 +1458,18 @@
 dnl Alternatively, these python scripts could be rewritten
 dnl in C (brrrr ...).
 
-AC_ARG_WITH([python],
-			AC_HELP_STRING([--with-python=PATH],
+AC_ARG_WITH([python3],
+			AC_HELP_STRING([--with-python3=PATH],
 						   [which python interpreter to use for dbus code generation]),
-			PYTHON=$withval)
+			PYTHON3=$withval)
 
 if test "x$enable_dbus" = "xyes" ; then
-	if test -z "$PYTHON" -o "x$PYTHON" = "xyes"; then
-		AC_PATH_PROG([PYTHON], [python], [no])
+	if test -z "$PYTHON3" -o "x$PYTHON3" = "xyes"; then
+		AC_PATH_PROG([PYTHON3], [python3], [no])
 	fi
 
-	if test x"$PYTHON" = x"no" ; then
-		AC_MSG_WARN([python interpreter not found in your path])
-		enable_dbus=no
-	fi
-
-	if $PYTHON -c "import sys; sys.exit(sys.version[[:3]] >= '2.4')" ; then
-		AC_MSG_WARN([python version >= 2.4 required])
+	if test x"$PYTHON3" = x"no" ; then
+		AC_MSG_WARN([python3 interpreter not found in your path])
 		enable_dbus=no
 	fi
 fi
diff --git a/libpurple/Makefile.am b/libpurple/Makefile.am
--- a/libpurple/Makefile.am
+++ b/libpurple/Makefile.am
@@ -207,16 +207,16 @@
 	$(srcdir)/protocols/jabber/libxmpp.c
 
 dbus-types.c: dbus-analyze-types.py $(purple_build_coreheaders)
-	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON) $(srcdir)/dbus-analyze-types.py --pattern=PURPLE_DBUS_DEFINE_TYPE\(%s\) > $@
+	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON3) $(srcdir)/dbus-analyze-types.py --pattern=PURPLE_DBUS_DEFINE_TYPE\(%s\) > $@
 
 dbus-types.h: dbus-analyze-types.py $(purple_build_coreheaders)
-	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON) $(srcdir)/dbus-analyze-types.py --pattern=PURPLE_DBUS_DECLARE_TYPE\(%s\) > $@
+	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON3) $(srcdir)/dbus-analyze-types.py --pattern=PURPLE_DBUS_DECLARE_TYPE\(%s\) > $@
 
 dbus-bindings.c: dbus-analyze-functions.py $(dbus_exported)
-	$(AM_V_GEN)cat $(dbus_build_exported) | $(PYTHON) $(srcdir)/dbus-analyze-functions.py > $@
+	$(AM_V_GEN)cat $(dbus_build_exported) | $(PYTHON3) $(srcdir)/dbus-analyze-functions.py > $@
 
 dbus-signals.c: dbus-analyze-signals.py $(dbus_signals)
-	$(AM_V_GEN)cat $(dbus_signals) | $(PYTHON) $(srcdir)/dbus-analyze-signals.py > $@
+	$(AM_V_GEN)cat $(dbus_signals) | $(PYTHON3) $(srcdir)/dbus-analyze-signals.py > $@
 
 dbus-server.$(OBJEXT): dbus-bindings.c dbus-signals.c dbus-types.c dbus-types.h
 dbus-server.lo: dbus-bindings.c dbus-signals.c dbus-types.c dbus-types.h
@@ -231,11 +231,11 @@
 libpurple_client_la_LIBADD = $(DBUS_LIBS)
 
 purple-client-bindings.c: dbus-analyze-functions.py $(dbus_exported)
-	$(AM_V_GEN)cat $(dbus_build_exported) | $(PYTHON) $(srcdir)/dbus-analyze-functions.py --client > $@
+	$(AM_V_GEN)cat $(dbus_build_exported) | $(PYTHON3) $(srcdir)/dbus-analyze-functions.py --client > $@
 
 purple-client-bindings.h: dbus-analyze-types.py dbus-analyze-functions.py $(purple_coreheaders) $(addprefix media/, $(purple_mediaheaders)) $(purple_builtheaders) $(dbus_exported)
-	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON) $(srcdir)/dbus-analyze-types.py --keyword=enum --verbatim > $@
-	$(AM_V_at)cat $(dbus_build_exported) | $(PYTHON) $(srcdir)/dbus-analyze-functions.py --client --headers >> $@
+	$(AM_V_GEN)cat $(purple_build_coreheaders) | $(PYTHON3) $(srcdir)/dbus-analyze-types.py --keyword=enum --verbatim > $@
+	$(AM_V_at)cat $(dbus_build_exported) | $(PYTHON3) $(srcdir)/dbus-analyze-functions.py --client --headers >> $@
 
 $(libpurple_client_la_OBJECTS): purple-client-bindings.h purple-client-bindings.c
 
diff --git a/libpurple/plugins/Makefile.am b/libpurple/plugins/Makefile.am
--- a/libpurple/plugins/Makefile.am
+++ b/libpurple/plugins/Makefile.am
@@ -121,7 +121,7 @@
 
 dbus-example-bindings.c: $(top_srcdir)/libpurple/dbus-analyze-functions.py $(dbus_example_la_SOURCES)
 	cat $(srcdir)/$(dbus_example_la_SOURCES) | \
-	$(PYTHON) $(top_srcdir)/libpurple/dbus-analyze-functions.py --export-only > $@
+	$(PYTHON3) $(top_srcdir)/libpurple/dbus-analyze-functions.py --export-only > $@
 
 $(dbus_example_la_OBJECTS) dbus-example.so: dbus-example-bindings.c $(top_builddir)/libpurple/dbus-types.h
 
diff --git a/pidgin/plugins/musicmessaging/Makefile.am b/pidgin/plugins/musicmessaging/Makefile.am
--- a/pidgin/plugins/musicmessaging/Makefile.am
+++ b/pidgin/plugins/musicmessaging/Makefile.am
@@ -27,7 +27,7 @@
 
 music-messaging-bindings.c: $(top_srcdir)/libpurple/dbus-analyze-functions.py $(musicmessaging_la_SOURCES)
 	cat $(srcdir)/$(musicmessaging_la_SOURCES) | \
-	$(PYTHON) $(top_srcdir)/libpurple/dbus-analyze-functions.py --export-only > $@
+	$(PYTHON3) $(top_srcdir)/libpurple/dbus-analyze-functions.py --export-only > $@
 
 $(musicmessaging_la_OBJECTS) musicmessaging.so: music-messaging-bindings.c $(top_builddir)/libpurple/dbus-types.h
 
